<mat-card-title>Login</mat-card-title>
<form (ngSubmit)="login()">
    <mat-form-field class="full-width">
        <input type="text" matInput [(ngModel)]="username" name="username" placeholder="Username" />
    </mat-form-field>
    <mat-form-field class="full-width">
        <input type="password" matInput [(ngModel)]="password" name="password" placeholder="Password" />
    </mat-form-field>
    <button mat-raised-button color="primary">Login</button>
</form>